Skip to main content
`Ctrl`+`K`

# PCFieldSplitGetOffDiagUseAmat

get the flag indicating whether to extract off-diagonal blocks from Amat (rather than Pmat) to build the sub-matrices associated with each split. Where `KSPSetOperators`(ksp,Amat,Pmat) was used to supply the operators.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetOffDiagUseAmat(PC pc, PetscBool *flg)

Logically Collective

## Input Parameter

- pc - the preconditioner object

## Output Parameter

- flg - boolean flag indicating whether or not to use Amat to extract the off-diagonal blocks from

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCSetOperators()`, `KSPSetOperators()`, `PCFieldSplitSetOffDiagUseAmat()`, `PCFieldSplitGetDiagUseAmat()`, `PCFIELDSPLIT`

## Level

intermediate

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages